Subject: Genart last call review of draft-ietf-tram-stun-pmtud-09

From: Roni Even <[email-masked]>
Date: Mon, 03 Sep 2018 05:43:37 -0700

Reviewer: Roni Even
Review result: Ready with Nits

I am the assigned Gen-ART reviewer for this draft. The General Area
Review Team (Gen-ART) reviews all IETF documents being processed
by the IESG for the IETF Chair.  Please treat these comments just
like any other last call comments.

For more information, please see the FAQ at

<https://trac.ietf.org/trac/gen/wiki/GenArtfaq>.

Document: draft-ietf-tram-stun-pmtud-??
Reviewer: Roni Even
Review Date: 2018-09-03
IETF LC End Date: 2018-09-12
IESG Telechat date: Not scheduled for a telechat

Summary:
The documents is ready for publication as a standard track RFC with nits and
minor issues

Major issues:

Minor issues:

1. The security section says " The PMTUD mechanism described in this document
does not introduce any
   specific security considerations" yet section 5.1 talk about amplification
   attack

Nits/editorial comments:

1.  In section 2 last paragraph "Probe Indications of various sizes" any
guidelines about the sizes and how many indications?

---

From: Marc Petit-Huguenin <[email-masked]>
Date: Mon, 17 Sep 2018 05:33:54 -0700

Hi Roni,

Thank you for the review.

>    specific security considerations" yet section 5.1 talk about amplification

Right, I thought that RFC 4821 covered that attack, but neither RFC 4821 or RFC 1981 do.

So I rewrote the first paragraph as:

"The PMTUD mechanism described in this document, when used without the
 signalling mechanism described in Section 5.1, does not introduce any
 specific security considerations beyond those described in [RFC4821]."

And added:

"The amplification attacks introduced by the signalling mechanism
 described in Section 5.1 can be prevented by using one of the
 techniques described in that section."

> guidelines about the sizes and how many indications?

The algorithm for choosing the size and numbers of indications is in RFC 4821, so there is no point of repeating that here.  But I changed the text to remind people that they must read RFC 4821:

"[...]
 chosen, then the Client sends Probe Indications of various sizes (as
 specified in [RFC4821]) interleaved with UDP packets sent by the UDP
 [...]"

> 
> 
> _______________________________________________
> tram mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/tram
> 

-- 
Marc Petit-Huguenin
Email: [email-masked]
Blog: https://marc.petit-huguenin.org
Profile: https://www.linkedin.com/in/petithug

---

From: "Roni Even (A)" <[email-masked]>
Date: Mon, 17 Sep 2018 13:31:46 +0000

Hi Marc,
Thanks, these changes address all my comments
Roni

-----Original Message-----
From: Gen-art [mailto:[email-masked]] On Behalf Of Marc Petit-Huguenin
Sent: Monday, September 17, 2018 3:34 PM
To: Roni Even; [email-masked]
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: Re: [Gen-art] [tram] Genart last call review of draft-ietf-tram-stun-pmtud-09

Hi Roni,

On 09/03/2018 05:43 AM, Roni Even wrote:
> Review Team (Gen-ART) reviews all IETF documents being processed by 
> the IESG for the IETF Chair.  Please treat these comments just like 
> any other last call comments.
> 
> The documents is ready for publication as a standard track RFC with 
> nits and minor issues
> 
> Major issues:
> 
> Minor issues:
> 
> 1. The security section says " The PMTUD mechanism described in this 
> document does not introduce any

"The PMTUD mechanism described in this document, when used without the  signalling mechanism described in Section 5.1, does not introduce any  specific security considerations beyond those described in [RFC4821]."

And added:

"The amplification attacks introduced by the signalling mechanism  described in Section 5.1 can be prevented by using one of the  techniques described in that section."

> 
> Nits/editorial comments:
> 
> 1.  In section 2 last paragraph "Probe Indications of various sizes" 
> any guidelines about the sizes and how many indications?

"[...]
 chosen, then the Client sends Probe Indications of various sizes (as  specified in [RFC4821]) interleaved with UDP packets sent by the UDP  [...]"